Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/PropertyField.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/PropertyField.java	(revision 3439)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/PropertyField.java	(revision 3440)
@@ -7,6 +7,7 @@
 import org.eclipse.jface.bindings.keys.KeyStroke;
 import org.eclipse.jface.fieldassist.ComboContentAdapter;
 import org.eclipse.jface.fieldassist.TXMAutoCompleteField;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.KeyListener;
@@ -41,14 +42,14 @@
 		label = new Label(this, SWT.NONE);
 		label.setText(property);
 		label.setAlignment(SWT.RIGHT);
-		
+		label.setToolTipText(NLS.bind("Apply the new ''{0}'' value with the RETURN or TAB keys", property));
 		GridData lData = new GridData(GridData.FILL, GridData.CENTER, false, false);
 		lData.minimumWidth = 75;
 		lData.widthHint = 75;
 		label.setLayoutData(lData);
 		
 		t = new Combo(this, SWT.BORDER);
-		t.setToolTipText(property);
+		t.setToolTipText(NLS.bind("Apply the new ''{0}'' value with the RETURN or TAB keys", property));
 		GridData tData = new GridData(GridData.FILL, GridData.FILL, true, false);
 		tData.minimumWidth = 150;
 		tData.widthHint = 150;
Index: TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementPropertiesView.java
===================================================================
--- TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementPropertiesView.java	(revision 3439)
+++ TXM/trunk/org.txm.analec.rcp/src/org/txm/annotation/urs/view/ElementPropertiesView.java	(revision 3440)
@@ -130,12 +130,14 @@
 		parent.setLayout(layout);
 		
 		//previous and next buttons
-		buttons = new ToolBar(parent, SWT.NONE);
-		GridData buttons_gdata = new GridData(GridData.FILL, GridData.CENTER, true, false);
+		buttons = new ToolBar(parent, SWT.WRAP);
+		GridData buttons_gdata = new GridData(GridData.FILL, GridData.CENTER, false, false);
 		buttons_gdata.horizontalSpan = 2;
 		buttons.setLayoutData(buttons_gdata);
+		
 		firstButton = new ToolItem(buttons, SWT.PUSH);
 		firstButton.setImage(IImageKeys.getImage(IImageKeys.CTRLSTART));
+		//firstButton.setText("First");
 		firstButton.setToolTipText("Select the first element");
 		firstButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -149,6 +151,7 @@
 		
 		previousButton = new ToolItem(buttons, SWT.PUSH);
 		previousButton.setImage(IImageKeys.getImage(IImageKeys.CTRLREVERSE));
+		//previousButton.setText("Previous");
 		previousButton.setToolTipText("Select the previous element");
 		previousButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -161,6 +164,7 @@
 		});
 		nextButton = new ToolItem(buttons, SWT.PUSH);
 		nextButton.setImage(IImageKeys.getImage(IImageKeys.CTRLPLAY));
+		//nextButton.setText("Next");
 		nextButton.setToolTipText("Select the next element");
 		nextButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -171,8 +175,9 @@
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) { }
 		});
-		lastButton = new ToolItem(buttons, SWT.ARROW | SWT.END);
+		lastButton = new ToolItem(buttons, SWT.PUSH);
 		lastButton.setImage(IImageKeys.getImage(IImageKeys.CTRLEND));
+		//lastButton.setText("Last");
 		lastButton.setToolTipText("Select the last element");
 		lastButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -184,8 +189,9 @@
 			public void widgetDefaultSelected(SelectionEvent e) { }
 		});
 		
-		applyButton = new ToolItem(buttons, SWT.ARROW | SWT.END);
-		applyButton.setText("OK");
+		applyButton = new ToolItem(buttons, SWT.PUSH);
+		applyButton.setImage(IImageKeys.getImage(IImageKeys.CHECKED));
+		//applyButton.setText("OK");
 		applyButton.setToolTipText("Apply all new values in the fields");
 		applyButton.addSelectionListener(new SelectionListener() {
 			@Override
@@ -200,6 +206,7 @@
 			public void widgetDefaultSelected(SelectionEvent e) { }
 		});
 		
+		
 		fields = new Composite(parent, SWT.NONE);
 		GridData fields_gdata = new GridData(GridData.FILL, GridData.FILL, true, true);
 		fields.setLayoutData(fields_gdata);
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 3439)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 3440)
@@ -481,7 +481,7 @@
 		navigationArea.setNextEnabled(to < index.getV());
 		navigationArea.setLastEnabled(to < index.getV());
 		
-		lFminInfo.setText(TXMCoreMessages.bind("t {0}, v {1}, fmin {2}, fmax {3}", index.getT(), index.getV(), index.getFmin(), index.getFmax()));
+		lFminInfo.setText(TXMCoreMessages.bind(IndexUIMessages.tP0vP1fminP2fmaxP3, index.getT(), index.getV(), index.getFmin(), index.getFmax()));
 		lFminInfo.getParent().layout();
 		
 		String unitColumnHeader = ""; //$NON-NLS-1$
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 3439)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 3440)
@@ -512,7 +512,7 @@
 		navigationArea.setNextEnabled(to < index.getV());
 		navigationArea.setLastEnabled(to < index.getV());
 		
-		lFminInfo.setText(TXMCoreMessages.bind("t {0}, v {1}, fmin {2}, fmax {3}", index.getT(), index.getV(), index.getFmin(), index.getFmax()));
+		lFminInfo.setText(TXMCoreMessages.bind(IndexUIMessages.tP0vP1fminP2fmaxP3, index.getT(), index.getV(), index.getFmin(), index.getFmax()));
 		lFminInfo.getParent().layout();
 		
 		String unitColumnHeader = ""; //$NON-NLS-1$
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java	(revision 3439)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/handlers/SendIndexTo.java	(revision 3440)
@@ -78,11 +78,11 @@
 		CQPCorpus corpus = CQPCorpus.getFirstParentCorpus(index);
 		
 		// TODO enable subcorpus from index query when the hidden subcorpus deletion will be managed or another system implemented (eg new SubCorpus(TXMResult result)
-		if (id.contains("Concordance")) {
+		if (id.contains("Concordance")) { //$NON-NLS-1$
 			CQLQuery cqlQuery = (CQLQuery) index.getQuery();
 			if (cqlQuery == null || cqlQuery.isEmpty() || // no query
-					cqlQuery.getQueryString().equals("[]") ||
-					cqlQuery.getQueryString().equals(".*")) { // don't bother creating a subcorpus use the parent corpus
+					cqlQuery.getQueryString().equals("[]") || //$NON-NLS-1$
+					cqlQuery.getQueryString().equals(".*")) { // don't bother creating a subcorpus use the parent corpus //$NON-NLS-1$
 				return corpus;
 			}
 			
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages_fr.properties
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages_fr.properties	(revision 3439)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages_fr.properties	(revision 3440)
@@ -13,3 +13,4 @@
 openingIndexResults=Ouverture de l'Index
 openingTheIndexResults=Ouverture du tableau d'index
 pageSize=Résultats par page 
+tP0vP1fminP2fmaxP3=t {0}, v {1}, fmin {2}, fmax {3}
\ No newline at end of file
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 3439)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 3440)
@@ -24,7 +24,7 @@
 	public static String failedToComputeIndex;
 	
 	public static String IndexEditor_17;
-	
+
 	public static String indexOfInfP0SupWithPropertyColonP1InTheCorpusColonP2;
 	
 	public static String indexOfInfP0SupWithPropertyColonP1InThePartitionColonP2;
@@ -33,6 +33,12 @@
 	
 	public static String openingTheIndexResults;
 	
+	public static String common_frequency;
+
+	public static String common_query;
+
+	public static String common_units;
+
 	public static String computingIndex;
 	
 	public static String pageSize;
@@ -40,6 +46,12 @@
 	public static String openingIndexResults;
 	
 	
+	public static String sortDone;
+
+	public static String sortingColumn;
+
+	public static String tP0vP1fminP2fmaxP3;
+
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, IndexUIMessages.class);
Index: TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages.properties	(revision 3439)
+++ TXM/trunk/org.txm.index.rcp/src/org/txm/index/rcp/messages/messages.properties	(revision 3440)
@@ -1,11 +1,15 @@
+common_query=
+common_units=
 #TXM messages generated by the PluginMessagesManager class
 #Tue Dec 18 10:24:08 CET 2018
+common_frequency=
 computingIndex=Computing index…
 couldntInitializeIndexTable=**  Can not initialize the index table
 failedToComputeIndex=** Failed to compute the index
 index=Index
 indexColonQueryIsEmpty=Index\: query is empty.
 IndexEditor_17=
+tP0vP1fminP2fmaxP3=t {0}, v {1}, fmin {2}, fmax {3}
 indexOfInfP0SupWithPropertyColonP1InTheCorpusColonP2=Index of the query <{0}> with property {1} in the {2} corpus.
 indexOfInfP0SupWithPropertyColonP1InThePartitionColonP2=Index of the query <{0}> with property {1} in the {2} partition.
 infos=Informations
@@ -13,3 +17,5 @@
 openingIndexResults=Opening the Index
 openingTheIndexResults=Opening the index table
 pageSize=Results per page
+sortDone=
+sortingColumn=
Index: TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 3439)
+++ TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 3440)
@@ -649,7 +649,7 @@
 	 */
 	@Deprecated
 	public void exportData(File file) {
-		lexicalTable.getData().toTxt(file, TXMPreferences.DEFAULT_ENCODING, "\t", ""); //$NON-NLS-1$
+		lexicalTable.getData().toTxt(file, TXMPreferences.DEFAULT_ENCODING, "\t", ""); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	/**
Index: TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java
===================================================================
--- TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java	(revision 3439)
+++ TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java	(revision 3440)
@@ -100,7 +100,7 @@
 		return null;
 	}
 	
-	public static final String EMPTY = "";
+	public static final String EMPTY = ""; //$NON-NLS-1$
 	
 	/*
 	 * (non-Javadoc)
@@ -130,7 +130,7 @@
 				System.out.println(ee);
 				System.out.println(ee);
 				;
-				return "error";
+				return "error"; //$NON-NLS-1$
 			}
 			// }
 		}
Index: TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java
===================================================================
--- TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 3439)
+++ TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeLexicalTable.java	(revision 3440)
@@ -133,7 +133,7 @@
 			final PartitionIndex firstIndex = partitionIndexes.get(0);
 			
 			if (!useAllOccurrences && firstIndex.size() <= 1) {
-				Log.warning("Error: cannot build a lexical table with less than 2 lines");
+				Log.warning(LexicalTableUIMessages.errorCannotBuildALexicalTableWithLessThan2Lines);
 				return false;
 			}
 			
Index: TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ImportTable.java
===================================================================
--- TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ImportTable.java	(revision 3439)
+++ TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ImportTable.java	(revision 3440)
@@ -43,6 +43,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.lexicaltable.core.functions.LexicalTable;
 import org.txm.lexicaltable.rcp.editors.LexicalTableEditor;
+import org.txm.lexicaltable.rcp.messages.LexicalTableUIMessages;
 import org.txm.rcp.TXMWindows;
 import org.txm.rcp.handlers.BaseAbstractHandler;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -90,10 +91,10 @@
 					try {
 						LTeditor.getLexicalTable().getData().importData(file, encoding, colseparator, txtseparator);
 						SWTEditorsUtils.closeEditors(LTeditor.getLexicalTable(), true);
-						Log.info("Re-open the lexical table to see the modifications");
+						Log.info(LexicalTableUIMessages.PleaseReopenTheLexicalTableToSeeTheModifications);
 					}
 					catch (Exception e) {
-						System.out.println("Error: data import failed: " + e);
+						System.out.println(LexicalTableUIMessages.ErrorDataImportFailedP0 + e);
 						Log.printStackTrace(e);
 					}
 					
@@ -117,12 +118,12 @@
 						lt.compute();
 						lt.getData().importData(file, encoding, colseparator, txtseparator);
 						lt.setAltered();
-						System.out.println(NLS.bind("Data imported: {0} columns and {1} rows.", lt.getNColumns(), lt.getNRows()));
+						System.out.println(NLS.bind(LexicalTableUIMessages.DataImportedP0ColumnsAndP1Rows, lt.getNColumns(), lt.getNRows()));
 						SWTEditorsUtils.closeEditors(lt, true);
-						Log.info("Re-open the lexical table to see the modifications");
+						Log.info(LexicalTableUIMessages.PleaseReopenTheLexicalTableToSeeTheModifications);
 					}
 					catch (Exception e) {
-						System.out.println("Error: data import failed: " + e);
+						System.out.println(LexicalTableUIMessages.ErrorDataImportFailedP0 + e);
 						Log.printStackTrace(e);
 					}
 				}
Index: TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/messages.properties	(revision 3439)
+++ TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/messages.properties	(revision 3440)
@@ -1,8 +1,11 @@
 #TXM messages generated by the PluginMessagesManager class
 #Tue Dec 18 10:24:08 CET 2018
 canNotCreateALexicalTableWithAnIndexCreatedOnACorpus=** Can not create a lexical table from an index created on a corpus.
+DataImportedP0ColumnsAndP1Rows=Data imported: {0} columns and {1} rows.
 deleteColsColonP0=Deleting columns {0}...
+errorCannotBuildALexicalTableWithLessThan2Lines=Error: cannot build a lexical table with less than 2 lines
 errorColonDifferentColumnsNumberColonBeforeP0AfterP1=** Error\: the number of columns differs\: {0} before and {1} after.
+ErrorDataImportFailedP0=Error: data import failed: 
 errorWhileImportingDataColonP0=** Error while importing data {0}.
 failedToImportLexicalTable=** Failed to import lexical table.
 mergeColsColonP0=Merging columns\: {0}...
@@ -10,6 +13,7 @@
 mergeOrDeleteRows=Merge or Delete rows
 mergingLines=Merging lines
 openingMargeConfigurationDialog=Opening the margins configuration dialog box
+PleaseReopenTheLexicalTableToSeeTheModifications=Re-open the lexical table to see the modifications
 selectWhichMarginsYouWantToUse=Select which margins you want to use
 tP0vP1fminP2fmaxP3=T {0} V {1} Fmin {2} Fmax {3}
 useAllOccurrences=Calculate the margins from the frequencies of all the words of the corpus
Index: TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java
===================================================================
--- TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 3439)
+++ TXM/trunk/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 3440)
@@ -13,6 +13,8 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.lexicaltable.rcp.messages.messages"; //$NON-NLS-1$
 	
+	public static String errorCannotBuildALexicalTableWithLessThan2Lines;
+
 	public static String errorColonDifferentColumnsNumberColonBeforeP0AfterP1;
 	
 	public static String mergeOrDeleteColumns;
@@ -38,6 +40,12 @@
 	public static String openingMargeConfigurationDialog;
 	
 	public static String canNotCreateALexicalTableWithAnIndexCreatedOnACorpus;
+
+	public static String DataImportedP0ColumnsAndP1Rows;
+
+	public static String ErrorDataImportFailedP0;
+
+	public static String PleaseReopenTheLexicalTableToSeeTheModifications;
 	
 	public static String vocabulariesMustShareTheSamePropertiesColonP0;
 	
Index: TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/messages/Messages.java
===================================================================
--- TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/messages/Messages.java	(revision 3439)
+++ TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/messages/Messages.java	(revision 3440)
@@ -8,7 +8,9 @@
 	private static final String BUNDLE_NAME = "org.txm.links.rcp.messages.messages"; //$NON-NLS-1$
 	
 	public static String noMatchesWasSetCommandCanceled; 
-	public static String noQueryWasSetCommandCanceled; 
+	public static String noQueryWasSetCommandCanceled;
+
+	public static String NoResultFondWithP0; 
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/messages/messages.properties	(revision 3439)
+++ TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/messages/messages.properties	(revision 3440)
@@ -2,3 +2,4 @@
 #Tue Dec 18 10:24:08 CET 2018
 noMatchesWasSetCommandCanceled=No matches parameter set, command aborted.
 noQueryWasSetCommandCanceled=No Query parameter set, command aborted.
+NoResultFondWithP0=No result found with 
Index: TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java
===================================================================
--- TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 3439)
+++ TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToMatchable.java	(revision 3440)
@@ -74,10 +74,10 @@
 			// create a local result node in the project node, store in some parameters and call the linked command
 			TXMResult result = this.getResultParent(event, event.getCommand().getId());
 			if (result == null) {
-				System.out.println("No result found with " + event);
+				System.out.println(Messages.NoResultFondWithP0 + event);
 				return null;
 			}
-			String resultParametersNodePath = result.getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_link"; // FIXME: we can't put the class name here since we does not know the
+			String resultParametersNodePath = result.getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_link"; // FIXME: we can't put the class name here since we does not know the //$NON-NLS-1$
 																																	 // target class
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.PARENT_PARAMETERS_NODE_PATH, result.getParametersNodePath());
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.MATCHES, matches.toString());
Index: TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java
===================================================================
--- TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 3439)
+++ TXM/trunk/org.txm.links.rcp/src/org/txm/links/rcp/handlers/SendSelectionToQueryable.java	(revision 3440)
@@ -107,7 +107,7 @@
 			// create a local result node in the project node, store in some parameters and call the linked command
 			String id = event.getCommand().getId();
 			TXMResult result = this.getResultParent(event, id);
-			String resultParametersNodePath = result.getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_link"; // FIXME: we can't put the class name here since
+			String resultParametersNodePath = result.getProject().getParametersNodeRootPath() + TXMResult.createUUID() + "_link"; // FIXME: we can't put the class name here since //$NON-NLS-1$
 																																	 // we does not know the target class
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.PARENT_PARAMETERS_NODE_PATH, result.getParametersNodePath());
 			TXMPreferences.put(resultParametersNodePath, TXMPreferences.QUERY, query);
Index: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/messages.properties	(revision 3439)
+++ TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/messages.properties	(revision 3440)
@@ -7,3 +7,4 @@
 queryColonP0=query\: {0}
 structuralProperties=Structural properties\: 
 structure=Structure\: 
+warningTheNavigatorTableContentHasBeenCutToP0LinesWasP1=Warning: the navigator table content has been cut to {0} (was {1}).
\ No newline at end of file
Index: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java	(revision 3439)
+++ TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java	(revision 3440)
@@ -12,6 +12,8 @@
 public class InternalViewUIMessages extends NLS {
 	
 	private static final String BUNDLE_NAME = "org.txm.internalview.rcp.messages.messages"; //$NON-NLS-1$
+
+	public static String warningTheNavigatorTableContentHasBeenCutToP0LinesWasP1;
 	
 	public static String errorColonSelectionIsNotACorpus;
 	
Index: TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java
===================================================================
--- TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 3439)
+++ TXM/trunk/org.txm.internalview.rcp/src/org/txm/internalview/rcp/editors/InternalViewEditor.java	(revision 3440)
@@ -6,18 +6,14 @@
 import java.util.List;
 
 import org.eclipse.jface.viewers.ColumnLabelProvider;
-import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.ISelectionChangedListener;
 import org.eclipse.jface.viewers.IStructuredContentProvider;
-import org.eclipse.jface.viewers.IStructuredSelection;
 import org.eclipse.jface.viewers.SelectionChangedEvent;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.jface.viewers.TableViewerColumn;
 import org.eclipse.jface.viewers.Viewer;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.events.KeyEvent;
-import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.events.MouseEvent;
 import org.eclipse.swt.events.MouseListener;
 import org.eclipse.swt.layout.GridData;
@@ -47,8 +43,8 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
-import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
+import org.txm.searchengine.cqp.corpus.query.Match;
 import org.txm.utils.logger.Log;
 
 /**
@@ -404,7 +400,7 @@
 		navigationPanel.layout();
 		
 		if (internalView.getSegmentLength() > internalView.getNLinesPerPage()) {
-			Log.info(NLS.bind("Warning: the navigator table content has been cut to {0} (was {1}).", internalView.getNLinesPerPage(), internalView.getSegmentLength()));
+			Log.info(NLS.bind(InternalViewUIMessages.warningTheNavigatorTableContentHasBeenCutToP0LinesWasP1, internalView.getNLinesPerPage(), internalView.getSegmentLength()));
 		}
 	}
 	
Index: TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/messages/PropertiesUIMessages.java
===================================================================
--- TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/messages/PropertiesUIMessages.java	(revision 3439)
+++ TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/messages/PropertiesUIMessages.java	(revision 3440)
@@ -28,8 +28,14 @@
 
 	public static String maximumValuesToDisplay;
 
-	public static String corpusProperties; 
+	public static String corpusProperties;
 
+	public static String Description;
+
+	public static String Documentation;
+
+	public static String ShowTheStartPage; 
+
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/messages/messages.properties	(revision 3439)
+++ TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/messages/messages.properties	(revision 3440)
@@ -4,7 +4,10 @@
 corpusProperties=corpus properties
 descriptionColon=Description\: 
 displayedNameColon=Displayed name\: 
+Description=Description
+Documentation=Documentation
 editProperties=edit properties
 maximumValuesToDisplay=Maximum number of values to display
+ShowTheStartPage=Shows the start page.
 theMaximumNumberOfWordPropertyValuesToShow=The maximum number of word property values to show
 vMax=V max
Index: TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/DocumentationTab.java
===================================================================
--- TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/DocumentationTab.java	(revision 3439)
+++ TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/DocumentationTab.java	(revision 3440)
@@ -11,6 +11,7 @@
 import org.eclipse.swt.widgets.ToolItem;
 import org.txm.core.results.TXMResult;
 import org.txm.objects.Project;
+import org.txm.properties.rcp.messages.PropertiesUIMessages;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.swt.GLComposite;
 import org.txm.utils.logger.Log;
@@ -31,7 +32,7 @@
 		super(folder, editor);
 		
 		this.result = editor.getResult().getParent();
-		tab.setText("Documentation");
+		tab.setText(PropertiesUIMessages.Documentation);
 		
 		buildContent(parent);
 	}
@@ -79,7 +80,7 @@
 		home.setImage(IImageKeys.getImage(IImageKeys.HOME));
 		home.setHotImage(IImageKeys.getImage(IImageKeys.HOME));
 		home.setDisabledImage(IImageKeys.getImage(IImageKeys.HOME));
-		home.setToolTipText("Shows the opening page.");
+		home.setToolTipText(PropertiesUIMessages.ShowTheStartPage);
 		
 		TXMResult r = this.editor.getResult().getParent();
 		Project p = r.getFirstParent(Project.class);
Index: TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesGeneralTab.java
===================================================================
--- TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesGeneralTab.java	(revision 3439)
+++ TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesGeneralTab.java	(revision 3440)
@@ -18,6 +18,7 @@
 import org.eclipse.swt.widgets.Text;
 import org.txm.core.results.TXMResult;
 import org.txm.properties.rcp.Messages;
+import org.txm.properties.rcp.messages.PropertiesUIMessages;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.views.corpora.CorporaView;
 
@@ -144,7 +145,7 @@
 		
 		l = new Label(parent, SWT.NONE);
 		l.setLayoutData(new GridData(GridData.BEGINNING, GridData.BEGINNING, false, false));
-		l.setText("Description");
+		l.setText(PropertiesUIMessages.Description);
 		
 		Browser b = new Browser(parent, SWT.H_SCROLL | SWT.V_SCROLL);
 		b.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true, 1, 1));
Index: TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesTab.java
===================================================================
--- TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesTab.java	(revision 3439)
+++ TXM/trunk/org.txm.properties.rcp/src/org/txm/properties/rcp/editors/PropertiesTab.java	(revision 3440)
@@ -15,7 +15,7 @@
 
 	public PropertiesTab(TabFolder folder, PropertiesPagedEditor editor) {
 		tab = new TabItem(folder, SWT.NONE);
-		parent = new GLComposite(folder, SWT.NONE, "tab");
+		parent = new GLComposite(folder, SWT.NONE, "tab"); //$NON-NLS-1$
 		tab.setControl(parent);
 		
 		this.folder = folder;
Index: TXM/trunk/org.txm.perl.rcp/src/org/txm/perl/rcp/preferences/PerlPreferencesPage.java
===================================================================
--- TXM/trunk/org.txm.perl.rcp/src/org/txm/perl/rcp/preferences/PerlPreferencesPage.java	(revision 3439)
+++ TXM/trunk/org.txm.perl.rcp/src/org/txm/perl/rcp/preferences/PerlPreferencesPage.java	(revision 3440)
@@ -3,6 +3,7 @@
 import org.eclipse.jface.preference.StringFieldEditor;
 import org.eclipse.ui.IWorkbench;
 import org.txm.perl.core.PerlPreferences;
+import org.txm.perl.rcp.messages.Messages;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.preferences.TXMPreferencePage;
 import org.txm.rcp.preferences.TXMPreferenceStore;
@@ -19,16 +20,16 @@
 	public void init(IWorkbench workbench) {
 		
 		this.setPreferenceStore(new TXMPreferenceStore(PerlPreferences.getInstance().getPreferencesNodeQualifier()));
-		this.setTitle("Perl");
-		this.setImageDescriptor(IImageKeys.getImageDescriptor("org.txm.perl.rcp", "icon/perl.png"));
+		this.setTitle("Perl"); //$NON-NLS-1$
+		this.setImageDescriptor(IImageKeys.getImageDescriptor("org.txm.perl.rcp", "icon/perl.png")); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	@Override
 	protected void createFieldEditors() {
-		this.addField(new StringFieldEditor(PerlPreferences.HOME, "HOME", this.getFieldEditorParent()));
+		this.addField(new StringFieldEditor(PerlPreferences.HOME, Messages.HomeFolder, this.getFieldEditorParent()));
 		
-		this.addField(new StringFieldEditor(PerlPreferences.EXECUTABLE_NAME, "PERL executable name", this.getFieldEditorParent()));
+		this.addField(new StringFieldEditor(PerlPreferences.EXECUTABLE_NAME, Messages.ExecutableName, this.getFieldEditorParent()));
 		
-		this.addField(new StringFieldEditor(PerlPreferences.ADDITIONAL_PARAMETERS, "PERL executable additional parameters", this.getFieldEditorParent()));
+		this.addField(new StringFieldEditor(PerlPreferences.ADDITIONAL_PARAMETERS, Messages.ExecutableAdditionalParameters, this.getFieldEditorParent()));
 	}
 }
Index: TXM/trunk/org.txm.perl.rcp/src/org/txm/perl/rcp/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.perl.rcp/src/org/txm/perl/rcp/messages/messages.properties	(revision 0)
+++ TXM/trunk/org.txm.perl.rcp/src/org/txm/perl/rcp/messages/messages.properties	(revision 3440)
@@ -0,0 +1,3 @@
+ExecutableAdditionalParameters=executable additional parameters
+ExecutableName=Executable name
+HomeFolder=HOME folder

Property changes on: TXM/trunk/org.txm.perl.rcp/src/org/txm/perl/rcp/messages/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.perl.rcp/src/org/txm/perl/rcp/messages/Messages.java
===================================================================
--- TXM/trunk/org.txm.perl.rcp/src/org/txm/perl/rcp/messages/Messages.java	(revision 0)
+++ TXM/trunk/org.txm.perl.rcp/src/org/txm/perl/rcp/messages/Messages.java	(revision 3440)
@@ -0,0 +1,20 @@
+package org.txm.perl.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+
+public class Messages extends NLS {
+	
+	private static final String BUNDLE_NAME = "org.txm.perl.rcp.preferences.messages"; //$NON-NLS-1$
+	
+	public static String ExecutableAdditionalParameters;
+	
+	public static String ExecutableName;
+	
+	public static String HomeFolder;
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+	
+	private Messages() {}
+}

Property changes on: TXM/trunk/org.txm.perl.rcp/src/org/txm/perl/rcp/messages/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java
===================================================================
--- TXM/trunk/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 3439)
+++ TXM/trunk/org.txm.core/src/java/org/txm/core/preferences/TBXPreferences.java	(revision 3440)
@@ -95,8 +95,8 @@
 	 */
 	public static final String FILESSITE = "files_site"; //$NON-NLS-1$
 	
-
 	
+	
 	/**
 	 * To enable/disable the results persistence (save after a computing and load at Toolbox start).
 	 */
@@ -170,8 +170,8 @@
 	public static final String NORMALISEATTRIBUTEVALUES = "normalize.attribute.values";
 	
 	public static final String CORPUS_VERSION = "corpus_version";
-
 	
+	
 	/**
 	 * Gets the instance.
 	 * 
@@ -215,8 +215,14 @@
 		preferences.putBoolean(TBXPreferences.ANNOTATE, false);
 		
 		preferences.put(TBXPreferences.METADATA_ENCODING, "UTF-8"); //$NON-NLS-1$
-		preferences.put(TBXPreferences.METADATA_TXTSEPARATOR, "\""); //$NON-NLS-1$
-		preferences.put(TBXPreferences.METADATA_COLSEPARATOR, ","); //$NON-NLS-1$
+		
+		if (Locale.getDefault().getCountry().equals("fr")) {
+			preferences.put(TBXPreferences.METADATA_COLSEPARATOR, ";"); //$NON-NLS-1$
+			preferences.put(TBXPreferences.METADATA_TXTSEPARATOR, "\""); //$NON-NLS-1$
+		} else {
+			preferences.put(TBXPreferences.METADATA_COLSEPARATOR, ","); //$NON-NLS-1$
+			preferences.put(TBXPreferences.METADATA_TXTSEPARATOR, "\""); //$NON-NLS-1$
+		}
 		preferences.put(TBXPreferences.EMPTY_PROPERTY_VALUE_CODE, "__UNDEF__"); //$NON-NLS-1$
 		
 		preferences.put(EXPORT_COL_SEPARATOR, "\t"); //$NON-NLS-1$
Index: TXM/trunk/org.txm.core/src/java/org/txm/core/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 3439)
+++ TXM/trunk/org.txm.core/src/java/org/txm/core/messages/messages.properties	(revision 3440)
@@ -67,6 +67,7 @@
 creatingCorpus = Importing corpus...
 
 dataDirectoryIsMissingColonP0 = The ''data'' folder {0} is missing
+deleteColsColonP0=
 
 doesNotExists = \ does not exist.
 
@@ -105,6 +106,7 @@
 errorWhileConnectingToSearchEngine = ** Failed to connect to the search engine: 
 
 errorWhileGettingMetadatasFromBaseimportMetadatasColon = ** Error while retrieving metadata of the corpus: 
+errorWhileImportingDataColonP0=
 
 errorWhilePostInstallingPluginsP0 = Error while post-installing plugins: {0}
 
@@ -135,6 +137,7 @@
 failedToGetLastCQPErrorColon = ** Failed to retrieve last CQP error: 
 
 failedToGetSupValuesOf = ** Failed to retrieve structural values of 
+failedToImportLexicalTable=
 
 failedToLoadBaseParametersFromTheP0File = ** Failed to load the corpus parameters from the {0} file.
 
@@ -197,6 +200,10 @@
 managerErrorDuringInitializationColonP0NotFound = ** Catalog Manager initialization error: {0} not found.
 
 matchesFound = matches found.
+mergeColsColonP0=
+mergeOrDeleteColumns=
+mergeOrDeleteRows=
+mergingLines=
 
 noValuesGiven = No values given
 
@@ -233,6 +240,7 @@
 sAXColon = SAX: 
 
 selectionErrorColonTheCorpus = Object selection error: the corpus 
+sortDone=
 
 supBeginningExecutionOfP0 = > beginning execution of {0}
 
@@ -247,6 +255,7 @@
 theFocusIsEmptyOrNull = ** The focus is empty or null.
 
 theP0PartFocusDoesntBelongToPartitionP1 = There is no {0} part in the {1} partition.
+tP0vP1fminP2fmaxP3=
 
 txmDirectoryIsMissingColonP0 = The ''txm'' folder {0} is missing
 
Index: TXM/trunk/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- TXM/trunk/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 3439)
+++ TXM/trunk/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 3440)
@@ -122,6 +122,8 @@
 	public static String couldntReadCorpusColon;
 	
 	public static String dataDirectoryIsMissingColonP0;
+
+	public static String deleteColsColonP0;
 	
 	public static String doesNotExists;
 	
@@ -160,6 +162,8 @@
 	public static String errorWhileConnectingToSearchEngine;
 	
 	public static String errorWhileGettingMetadatasFromBaseimportMetadatasColon;
+
+	public static String errorWhileImportingDataColonP0;
 	
 	public static String errorWhileWaitingForCQP;
 	
@@ -182,6 +186,8 @@
 	public static String failedToGetLastCQPErrorColon;
 	
 	public static String failedToGetSupValuesOf;
+
+	public static String failedToImportLexicalTable;
 	
 	public static String failedToLoadBaseParametersFromTheP0File;
 	
@@ -231,6 +237,14 @@
 	
 	public static String matchesFound;
 	
+	public static String mergeColsColonP0;
+
+	public static String mergeOrDeleteColumns;
+
+	public static String mergeOrDeleteRows;
+
+	public static String mergingLines;
+
 	public static String noValuesGiven;
 	
 	public static String noWorkspaceFoundCreatingANewOneP0;
@@ -266,6 +280,8 @@
 	public static String sAXColon;
 	
 	public static String selectionErrorColonTheCorpus;
+
+	public static String sortDone;
 	
 	public static String supBeginningExecutionOfP0;
 	
@@ -280,6 +296,8 @@
 	public static String theFocusIsEmptyOrNull;
 	
 	public static String theP0PartFocusDoesntBelongToPartitionP1;
+
+	public static String tP0vP1fminP2fmaxP3;
 	
 	public static String txmDirectoryIsMissingColonP0;
 	
